BasicPasswordFieldUI (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicPasswordFieldUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.basic.BasicTextUI
                        |
                        +--javax.swing.plaf.basic.BasicTextFieldUI
                              |
                              +--javax.swing.plaf.basic.BasicPasswordFieldUI

All Implemented Interfaces:
  ViewFactory

public class BasicPasswordFieldUI
extends BasicTextFieldUI

Provides the Windows look and feel for a password field. The only difference from the standard text field is that the view of the text is simply a string of the echo character as specified in JPasswordField, rather than the real text contained in the field.

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`BasicPasswordFieldUI()`

Method Summary
`View` | `create(Element elem)` Creates a view (PasswordView) for an element.
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for a JPasswordField.
`protected String` | `getPropertyPrefix()` Fetches the name used as a key to look up properties through the UIManager.

Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI
`installUI, propertyChange`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPasswordFieldUI

    public BasicPasswordFieldUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for a JPasswordField.

  Parameters:
    `c` - the JPasswordField
  Returns:
    the UI

### getPropertyPrefix

    protected String getPropertyPrefix()

  Fetches the name used as a key to look up properties through the UIManager. This is used as a prefix to all the standard text properties.

  Overrides:
    `getPropertyPrefix` in class `BasicTextFieldUI`
  Returns:
    the name ("PasswordField")

### create

    public View create(Element elem)

  Creates a view (PasswordView) for an element.

  Specified by:
    `create` in interface `ViewFactory`
  Overrides:
    `create` in class `BasicTextFieldUI`
  Parameters:
    `elem` - the element
  Returns:
    the view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.